package eu.jonahbauer.wizard.core.machine;

import eu.jonahbauer.wizard.core.model.Configurations;
import org.junit.jupiter.api.Test;

import java.util.List;
import java.util.UUID;
import java.util.concurrent.ExecutionException;

public class GameTest {
    @Test
    public void run() throws InterruptedException, ExecutionException {
        Game game = new Game(Configurations.DEFAULT.withTimeout(0), (player, msg) -> System.out.println(msg));
        var players = List.of(
                UUID.randomUUID(),
                UUID.randomUUID(),
                UUID.randomUUID(),
                UUID.randomUUID()
        );

        game.start(players);
        game.await();
    }
}
